Bug 232755 - grip doesn't start on my locale (ja_JP.UTF-8)
Summary: grip doesn't start on my locale (ja_JP.UTF-8)
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: grip   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-17 06:02 UTC by CHIKAMA Masaki
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-18 00:08:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
extend buffer by double. (316 bytes, patch)
2007-03-17 06:02 UTC, CHIKAMA Masaki
no flags Details | Diff

Description CHIKAMA Masaki 2007-03-17 06:02:19 UTC
Description of problem:
Grip doesn't start on my locale (ja_JP.UTF-8).
It grashs.

Version-Release number of selected component (if applicable):
3.2.0-15.fc6

How reproducible:
Alwayes

Steps to Reproduce:
1. LANG=ja_JP.UTF-8 grip
2.
3.
  
Actual results:
Grip crashed

Expected results:
Grip start

Additional info:
This is because the buffer overflow in grip.c:421 .
The patch is attached.
The bug is only in my locale (for now).

Comment 1 CHIKAMA Masaki 2007-03-17 06:02:19 UTC
Created attachment 150298 [details]
extend buffer by double.

Comment 2 Adrian Reber 2007-03-18 00:08:28 UTC
I have released a fix with you patch for the FC-5, FC-6 and devel branch. Thanks
for your patch.


Note You need to log in before you can comment on or make changes to this bug.